For the complete documentation index, see llms.txt. This page is also available as Markdown.

Product Categories

Search for all available product categories.

zapiGetMerchandiseCategories

GET https://{yourdomainname}.zaui.net/zapi/

Request Body

Name
Type
Description

zapiToken*

integer

Token that must be used for a reseller to communicate with the supplier system.

methodName*

string

The method being called.

zapiUserId*

integer

Generated by the supplier system when a new contact is created.

zapiAccountId*

integer

Generated by the supplier system.

<?xml version="1.0" encoding="utf-8"?>
<response>
    <zapiVersion>2.1</zapiVersion>
    <error>0</error>
    <message>OK</message>
    <methodResponse>
        <methodName>zapiGetMerchandiseCategories</methodName>
        <methodErrorCode>0</methodErrorCode>
        <methodErrorMessage/>
        <categories>
            <category>
                <categoryId>1</categoryId>
                <categoryName>
                    <![CDATA[Shirts]]>
                </categoryName>
                <categoryDescription>
                    <![CDATA[]]>
                </categoryDescription>
                <numberOfProducts>1</numberOfProducts>
            </category>
            <category>
                <categoryId>2</categoryId>
                <categoryName>
                    <![CDATA[Ski Poles]]>
                </categoryName>
                <categoryDescription>
                    <![CDATA[]]>
                </categoryDescription>
                <numberOfProducts>1</numberOfProducts>
            </category>
        </categories>
    </methodResponse>
</response>

Element
M/O/C
Format
Length
Details

Response

M

a-z, A-Z

Top level element

ZapiVersion

M

0-9

5

Error

M

0-9

2

Error message details

Message

M

a-z, A-Z, 0-9

Variable

MethodResponse

M

MethodName

M

a-z, A-Z, 0-9

Variable

See documentation for options

Items

M

Element

Variable

Item

Element

Variable

CategoryID

M

0-9

Unique ID for the category

CategoryName

M

a-z, A-Z, 0-9

Category name

Category Description

M

a-z, A-Z, 0-9

Variable

Category description

Last updated

Was this helpful?